Report uploaded chunks

This method reports successfully uploaded chunks to the platform. The platform finalizes the upload after you report all chunks. For optimal performance, report chunks in batches and in any order.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

upload_idstringRequired
The unique identifier of the upload session.

Request

This endpoint expects an object.
completed_chunkslist of objectsRequired
The list of chunks successfully uploaded that you're reporting to the platform. Report only after receiving an ETag.

Response

The completion of this batch has been successfully reported.
urlstringformat: "uri"
The URL for accessing your asset. The platform returns this field only when all chunks are reported and the upload is complete. If absent, continue uploading and reporting the remaining chunks.
asset_idstring
The unique identifier of this asset.
processed_chunksinteger

The number of chunks accepted from this specific request. This equals the number of chunks in your completed_chunks array minus any duplicates.

duplicate_chunksinteger
The number of chunks in this request that were already reported. Duplicates are ignored and don't affect your upload.
total_completedinteger

The cumulative count of all unique chunks successfully reported across all requests. When this equals total_chunks, the upload is complete.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error